libosmo-sigtran: include/osmocom/sigtran/protocol/mtp.h File Reference

libosmo-sigtran 2.2.1.99-1c6a Osmocom SIGTRAN library

Enumerations | Functions | Variables
mtp.h File Reference
`#include <osmocom/core/utils.h>`

Go to the source code of this file.

## Enumerations
enum | mtp_si_ni00 { MTP_SI_SNM = 0 , MTP_SI_STM = 1 , MTP_SI_SCCP = 3 , MTP_SI_TUP = 4 , MTP_SI_ISUP = 5 , MTP_SI_DUP = 6 , MTP_SI_DUP_FAC = 7 , MTP_SI_TESTING = 8 , MTP_SI_B_ISUP = 9 , MTP_SI_SAT_ISUP = 10 , MTP_SI_SPEECH = 11 , MTP_SI_AAL2_SIG = 12 , MTP_SI_BICC = 13 , MTP_SI_GCP = 14 }
enum | mtp_si_ni11 { MTP_SI_NI11_OSMO_IPA = 2 }
enum | mtp_network_indicator { MTP_NI_INTERNATIONAL = 0 , MTP_NI_SPARE_INTERNATIONAL = 1 , MTP_NI_NATIONAL = 2 , MTP_NI_RESERVED_NATIONAL = 3 }
enum | mtp_unavail_cause { MTP_UNAVAIL_C_UNKNOWN = 0x0 , MTP_UNAVAIL_C_UNEQUIP_REM_USER = 0x1 , MTP_UNAVAIL_C_INACC_REM_USER = 0x2 , MTP_UNAVAIL_C_CONGESTED = 0x3 }

## Functions
static const char * | mtp_unavail_cause_str (enum mtp_unavail_cause cs)

## Variables
const struct value_string | mtp_si_vals []
const struct value_string | mtp_network_indicator_vals []
const struct value_string | mtp_unavail_cause_vals []

## Enumeration Type Documentation

## ◆ mtp_network_indicator

enum mtp_network_indicator

Enumerator
MTP_NI_INTERNATIONAL |
MTP_NI_SPARE_INTERNATIONAL |
MTP_NI_NATIONAL |
MTP_NI_RESERVED_NATIONAL |

## ◆ mtp_si_ni00

enum mtp_si_ni00

Enumerator
MTP_SI_SNM |
MTP_SI_STM |
MTP_SI_SCCP |
MTP_SI_TUP |
MTP_SI_ISUP |
MTP_SI_DUP |
MTP_SI_DUP_FAC |
MTP_SI_TESTING |
MTP_SI_B_ISUP |
MTP_SI_SAT_ISUP |
MTP_SI_SPEECH |
MTP_SI_AAL2_SIG |
MTP_SI_BICC |
MTP_SI_GCP |

## ◆ mtp_si_ni11

enum mtp_si_ni11

Enumerator
MTP_SI_NI11_OSMO_IPA |

## ◆ mtp_unavail_cause

enum mtp_unavail_cause

Enumerator
MTP_UNAVAIL_C_UNKNOWN |
MTP_UNAVAIL_C_UNEQUIP_REM_USER |
MTP_UNAVAIL_C_INACC_REM_USER |
MTP_UNAVAIL_C_CONGESTED |

## Function Documentation

## ◆ mtp_unavail_cause_str()

static const char * mtp_unavail_cause_str | ( | enum mtp_unavail_cause | cs | ) |
| inlinestatic

References mtp_unavail_cause_vals.

## Variable Documentation

## ◆ mtp_network_indicator_vals

const struct value_string mtp_network_indicator_vals[]
| extern

Referenced by DEFUN_ATTR(), and write_one_cs7().

## ◆ mtp_si_vals

const struct value_string mtp_si_vals[]
| extern

Referenced by _rout_key(), mtp3_hmdt_rx_msg_for_local_unavailable_part(), ss7_vty_write_one_as(), and xua_snm_rx_dupu().

## ◆ mtp_unavail_cause_vals

const struct value_string mtp_unavail_cause_vals[]
| extern

Referenced by mtp_unavail_cause_str().